Editar usuario
curl --request PUT \
--url https://api.finup.ar/api/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/users/{id}"
payload = { "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "employee",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_system": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Usuarios
Editar usuario
Requiere acceso total.
PUT
https://api.finup.ar
/
api
/
users
/
{id}
Editar usuario
curl --request PUT \
--url https://api.finup.ar/api/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/users/{id}"
payload = { "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "employee",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_system": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del usuario.
Body
application/json
